require 'authorization'

module Fbuser
  class V1::UserSerializer < ActiveModel::Serializer
  	embed :ids, include: true

    attributes :id
    attributes :username
    attributes :fb_user_id
    attributes :created_at
    attributes :updated_at
    #has_one :bulletin
    #has_many :posts

    def include_id?
    	return ::Authorization::Fbuser::V1::User.include_id?(current_user,object,@options)
    end

    def include_username?
      return ::Authorization::Fbuser::V1::User.include_created_at?(current_user,object,@options)
    end
  
    def include_fb_user_id?
      return ::Authorization::Fbuser::V1::User.include_created_at?(current_user,object,@options)
    end
  
    def include_created_at?
      return ::Authorization::Fbuser::V1::User.include_created_at?(current_user,object,@options)
    end

    def include_updated_at?
      return ::Authorization::Fbuser::V1::User.include_updated_at?(current_user,object,@options)
    end

    def include_associations!
      #include! :bulletin if ::Authorization::Fbuser::V1::User.include_bulletin?(current_user,object,@options)
      #include! :posts if ::Authorization::Fbuser::V1::User.include_posts?(current_user,object,@options)
    end

  end
end
