require "rails_helper"


RSpec.describe ::Fbuser::V1::User, '.username', :type => :model do
	describe "Attributes" do
		it "does not save when attribute is nil" do
			#user = FactoryGirl.build(:fbuser_user_1, :username => nil)
			#expect(user.save).to equal(false)
		end
		it "does not save when username:string is ..." do
			#expect(user.save).to equal(false)
		end
	end
end

RSpec.describe ::Fbuser::V1::User, '.fb_user_id', :type => :model do
	describe "Attributes" do
		it "does not save when attribute is nil" do
			user = FactoryGirl.build(:fbuser_user_1, :fb_user_id => nil)
			expect(user.save).to equal(false)
		end
		it "does not save when fb_user_id is already taken" do
			user = FactoryGirl.build(:fbuser_user_1, :fb_user_id => 1)
			expect(user.save).to equal(true)
			begin
				user = FactoryGirl.build(:fbuser_user_1, :fb_user_id => 1)
				expect(user.save).to equal(false)
			rescue
			end
		end
	end
end

RSpec.describe ::Fbuser::V1::User, :type => :model do
	describe "Dependencies" do
		before(:example) do
			@user = FactoryGirl.create(:fbuser_user_1)
		end
		it "deletes ... when deleted" do

		end
	end
end
RSpec.describe ::Fbuser::V1::User, :type => :model do
	describe "Callbacks" do
		before(:example) do
    	@user = FactoryGirl.create(:fbuser_user_1)
  	end
		it "creates a token on creation" do
			expect(@user.tokens[0]).to_not equal(nil)
		end
	end
end