require "rails_helper"

#The login routes
RSpec.describe "Users login process routing", :type => :routing do
	routes { Fbuser::Engine.routes }

	it "routes to login" do
		expect(:post => "/api/1/authentication/login").to route_to(
			:controller => "fbuser/api/v1/authentication",
			:action => "login"
		)
	end

	it "routes to logout" do
		expect(:post => "/api/1/authentication/logout").to route_to(
			:controller => "fbuser/api/v1/authentication",
			:action => "logout"
		)
	end
end