module Fbuser
	class TestsGenerator < Rails::Generators::Base
  	source_root File.expand_path('../templates', __FILE__)

		def sprint
			copy_test_files_over
		end

		private

	    def copy_test_files_over
	    	template "fbuser_user_1_factory.rb", "spec/factories/fbuser_user_1_factory.rb"
	    	template "model_user_spec.rb", "spec/engines/fbuser/api/v1/models/user_spec.rb"
	    	template "requests_user_spec.rb", "spec/engines/fbuser/api/v1/requests/user_spec.rb"
	    	template "routing_user_spec.rb", "spec/engines/fbuser/api/v1/routing/user_spec.rb"
	    	template "authentication_requests.rb", "spec/engines/fbuser/api/v1/requests/authentication_spec.rb"
	    	template "authentication_routing.rb", "spec/engines/fbuser/api/v1/routing/authentication_spec.rb"
	    end

  end
end
